Bug 459519 - "some panel Items are no longer available" dialogue is shown on every login
"some panel Items are no longer available" dialogue is shown on every login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-19 12:46 EDT by Eugene Kanter
Modified: 2009-07-14 10:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:37:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
applet not available error dialogue (23.99 KB, image/png)
2008-08-19 12:46 EDT, Eugene Kanter
no flags Details

  None (edit)
Description Eugene Kanter 2008-08-19 12:46:28 EDT
Created attachment 314560 [details]
applet not available error dialogue

The attached dialogue shows on every login despite the promised "you'll not receive this message again". The message and the logic behind it clearly are not in sync.
Comment 1 Mike Iglesias 2008-12-03 16:45:47 EST
I'm seeing this behaviour on a system I upgraded from F8 to F9 using the Unity respin 20081004 DVD.
Comment 2 Mike Iglesias 2008-12-15 13:05:46 EST
Moving all the gnome directories out of my home directory, logging out, and logging in again made this error go away.  This was on a laptop that had the F8 battery charge monitor in the panel, and it looks like that is not in the list of applets in F9 (although one shows up in the panel when I log on).  I'm guessing that the old F8 battery charge applet may be causing the problem, at least for me.
Comment 3 Eugene Kanter 2008-12-16 14:15:16 EST
How can I remove the old battery indicator applet by hand? Where does gnome panel store the list of applets?
Comment 4 Ray Strode [halfline] 2008-12-16 14:30:45 EST
you can do it by starting up gconf-editor and navigating to

/apps/panel/general

and editing the 

applet_id_list

key to not have that applet.

or you can do 
gconftool-2 --recursive-unset /apps/panel

to reset your panel configuration to the default.
Comment 5 Bug Zapper 2009-06-09 22:30:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Kevin R. Page 2009-06-13 16:45:39 EDT
Still present on F11 after an upgrade from F10.

I think this needs triaging with bug #452913 and bug #479495.

There's clearly still a problem with applets that are deprecated - this dialog shouldn't keep appearing.
Comment 7 Bug Zapper 2009-07-14 10:37:20 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.